routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Route::group(['namespace' => 'Web','as' => 'web.'], function () {

    //Home Page Routes
    Route::group(['as' => 'home.'], function () {

        Route::get('facebook', function () {
            return view('facebook');
        });
        Route::get('auth/facebook', 'FacebookController@redirectToFacebook')->name('facebook.login');
        Route::get('auth/facebook/callback', 'FacebookController@handleFacebookCallback');

        Route::get('/redirect', 'LoginController@redirectToProvider')->name('google.login');;
        Route::get('/callback', 'LoginController@handleProviderCallback');

        Route::get('/',     'HomeController@home')->name('index');

        Route::get('page/home',  'HomeController@home')->name('index');

        Route::get('/chits',             'HomeController@noteChits')->name('chits');

        Route::get('/about-us',      'HomeController@aboutUs')->name('about-us');

        Route::get('/contact-us',      'HomeController@contactUs')->name('contact-us');
        Route::post('/add-contact-us',      'HomeController@createContactUs')->name('add-contact');

        Route::get('/404',      'HomeController@notFound')->name('404');
        Route::get('/all-queries',      'HomeController@allQueries')->name('all-queries');
        Route::get('/my-queries',      'HomeController@myQueries')->name('my-queries');
        Route::get('/new-query',      'HomeController@newQuery')->name('new-query');
        Route::post('/add-query',      'HomeController@addQuery')->name('add-query');
        Route::get('/remove-query/{id}', 'HomeController@deleteQuery')->name('delete-query');

        Route::get('/category/{url}', 'HomeController@categoryNotes')->name('category');
    });

    //Notes without login
    Route::group(['as' => 'note.'], function () {
        Route::get('note/detail/{nNoteId?}',       'NoteController@noteDetailAction')->name('note-detail');

        Route::get('note/my-notes',        'NoteController@myNotesAction')->name('my-notes');
        Route::get('note/following-users-notes',  'NoteController@followingUsersNotesAction')->name('following-users-notes');
        Route::get('note/saved-notes',     'NoteController@savedNotesAction')->name('saved-notes');
        Route::get('search-notes/{keyword?}',     'NoteController@searchNoteAction')->name('search-notes');
        Route::post('note/get-note-view-data',     'NoteController@getNoteViewData')->name('note-view-data');
    });

    //USER
    Route::group(['as' => 'user.'], function () {
        Route::post('signup',               'UserController@SignUpAction')->name('signup');
        Route::post('login',                'UserController@SignInAction')->name('signin');
        Route::get('verification/{key?}',   'UserController@EmailVerificationAction')->name('verification');
        Route::post('forgot-password',      'UserController@ForgotPasswordAction')->name('forgot-password');
        Route::match(['GET','POST'],'reset-password/{key?}','UserController@ResetPasswordAction')->name('reset-password');

        Route::get('user/view-profile/{id}',     'UserController@userProfileForFollowAction')->name('user-view-profile');
        Route::match(['GET','POST'],'profile/{id}',  'UserController@userProfileAction')->name('profile');
        Route::match(['GET','POST'],'followers',  'UserController@getFollowersAction')->name('get-followers');
    });

    /**
     * After Login All routes
     */
    Route::group(['middleware' => 'webAuth'], function () {

        //User After Login
        Route::group(['as' => 'user.'], function () {

            Route::get('logout','UserController@LogoutAction')->name('logout');

            Route::match(['GET','POST'],'change-password',  'UserController@changePasswordAction')->name('change-password');
            Route::post('upload-profile-picture',           'UserController@uploadProfilePictureAction')->name('upload-profile-picture');

            Route::get('user/follow',                       'UserController@followAction')->name('follow');
            Route::get('user/add-area-of-interest',         'UserController@userAddAreaOfInterestAction')->name('add-area-of-interest');

            Route::get('user/update-area-of-interest',      'UserController@userUpdateAreaOfInterestAction')->name('update-area-of-interest');
            Route::get('user/get-notifications',            'UserController@getNotifications')->name('get-notifications');
            Route::post('user/update-notification-status',  'UserController@updateNotificationStatus')->name('update-notification-status');

        });

        //Note After Login
        Route::group(['as' => 'note.'], function () {

            Route::match(['GET','POST'],'note/add-note/{nNoteId?}', 'NoteController@addNoteAction')->name('add-note');

            Route::get('note/add-to-favourite','NoteController@addNoteToFavouriteAction')->name('add-to-favourite');
            Route::get('note/add-rating',      'NoteController@addRatingAction')->name('add-rating');

            Route::post('note/add-report',      'NoteController@addReportAction')->name('add-report');
            Route::get('note/download-note/{nNoteId}',      'NoteController@callDownloadZipAction')->name('download-note');

            Route::post('note/delete-note',      'NoteController@callDeleteNoteAction')->name('delete-note');
            Route::post('note/delete-note-attachment',      'NoteController@callDeleteNoteAttachmentAction')->name('delete-attachment');

            Route::get('note/download-action',      'NoteController@downloadFileFromS3')->name('download');

            Route::get('note/remove-from-folder','NoteController@removeNoteFromFolderAction')->name('remove-note-from-folder');
        });

        Route::group(['as' => 'bucket.'], function () {
            Route::get('user-buckets','BucketController@userBucket')->name('user-buckets');
            Route::get('get-user-buckets','BucketController@getUserBucket')->name('get-user-buckets');
            Route::post('bucket/create','BucketController@createBucket')->name('create-bucket');
            Route::post('bucket/delete','BucketController@deleteBucket')->name('delete-bucket');
            Route::post('bucket/save-note-to-user-bucket','BucketController@saveNoteToUserBucket')->name('save-to-user-bucket');
            Route::get('bucket/get-bucket-notes','BucketController@getBucketNotes')->name('get-bucket-notes');
            Route::get('get-user-buckets-list-move','BucketController@getUserBucketToMove')->name('get-user-buckets-list-move');
            Route::post('move-note-bucket','BucketController@moveNoteBucket')->name('move-note-bucket');
        });


        //Contribute Query suggestion
        Route::post('/add-query-suggestion', 'ContributionQueryCommentController@add')->name('contribution-query-comment-add');
        Route::post('/remove-query-suggestion', 'ContributionQueryCommentController@delete')->name('contribution-query-comment-remove');
        Route::get('/get-query-suggestion-comments', 'ContributionQueryCommentController@getCommentData')->name('get-query-suggestion-comments');
       

    }); //End of middleware check

});

/**
 * Admin Routes
 */
Route::get('/admin/login', 'Admin\AuthController@showLogin')->name('admin.show_login');
Route::post('/admin/login', 'Admin\AuthController@login')->name('admin.login');

Route::group(['namespace' => 'Admin','as' => 'admin.', 'prefix' => 'admin/', 'middleware' => 'auth:admin'], function () {
    Route::get('/', 'HomeController@index')->name('home');

    //Users
    Route::get('/users', 'UserController@index')->name('users');
    Route::post('/users/datatable', 'UserController@datatable')->name('users.datatable');
    Route::post('/users/verify-email', 'UserController@verifyEmail')->name('users.verify_email');
    Route::post('/users/change-status', 'UserController@changeStatus')->name('users.change_status');
   
    //Notes
    Route::get('/notes', 'NoteController@index')->name('notes');
    Route::post('/notes/datatable', 'NoteController@datatable')->name('notes.datatable');
    Route::post('/notes/delete', 'NoteController@delete')->name('notes.delete');
    Route::get('/reported-notes', 'NoteController@reportedNotes')->name('reported.notes');
    Route::post('/reported-notes-datatable', 'NoteController@reportedNoteDatatable')->name('reported.notes.datatable');
    Route::post('/get-reported-note-data', 'NoteController@getReportedNoteData')->name('reported.notes.get_data');

    //Category
    Route::get('/category', 'CategoryController@index')->name('category');
    Route::post('/category/datatable', 'CategoryController@datatable')->name('category.datatable');
    Route::post('/category/store', 'CategoryController@store')->name('category.store');
    Route::get('/category/edit/{id}', 'CategoryController@edit')->name('category.edit');
    Route::post('/category/update', 'CategoryController@update')->name('category.update');
    Route::post('/category/delete', 'CategoryController@destroy')->name('category.delete');
    Route::post('/category/check-name', 'CategoryController@checkName')->name('category.check_name');

    //Language
    Route::post('/language/datatable', 'LanguageController@datatable')->name('language.datatable');
    Route::resource('language', 'LanguageController')->only([
        'index', 'store', 'update', 'destroy'
    ]);;

    Route::get('/logout', 'AuthController@logout')->name('logout');
});

resources/views/web/custom_layout.blade.php
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{{ trans("messages.app_name") }} - @yield('title')</title>

        @include('web.includes')
        @yield('custom-header-css')
        @yield('custom-header-js')

        <style>
        .error{
            border:1px solid red;
        }

        #snackbar {
        visibility: hidden;
        min-width: 250px;
        margin-left: -125px;
        background-color: #333;
        color: #fff;
        text-align: center;
        border-radius: 2px;
        padding: 16px;
        position: fixed;
        z-index: 10000;
        left: 50%;
        bottom: 30px;
        font-size: 17px;
        }

        #snackbar.show {
        visibility: visible;
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
        }

        @-webkit-keyframes fadein {
        from {bottom: 0; opacity: 0;}
        to {bottom: 30px; opacity: 1;}
        }

        @keyframes fadein {
        from {bottom: 0; opacity: 0;}
        to {bottom: 30px; opacity: 1;}
        }

        @-webkit-keyframes fadeout {
        from {bottom: 30px; opacity: 1;}
        to {bottom: 0; opacity: 0;}
        }

        @keyframes fadeout {
        from {bottom: 30px; opacity: 1;}
        to {bottom: 0; opacity: 0;}
        }
        </style>

    </head>
    <body>
        <div id="snackbar">Some text some message..</div>

        @if(Session::has('error'))
            <div class="alert alert-danger">
                <button type="button" class="close" data-dismiss="alert"><span>×</span><span class="sr-only">Close</span></button>
                <span class="text-semibold">Error!</span> {{ Session::get('error') }}.
            </div>
        @endif

        @if(Session::has('success'))
        <div class="success-login-wrapper" id="success-alert">
            <i class="d-block far fa-check-circle"></i>
            <div class=""> {{ Session::get('success') }}</div>
            @if(!Auth::user())
                <a href="#" data-toggle="modal" data-target="#loginModal" class="cta-btn">@lang('messages.login')</a>
            @else
                <a href="{{ route('web.home.index') }}" class="cta-btn">@lang('messages.home_page')</a>
            @endif
        </div>
        @endif





        @yield('header')
        @yield('content')
        @include('web.footer')
        @yield('custom-footer-js')
        @include('web.common_footer_scripts')
    </body>
</html>

resources/views/web/footer.blade.php
<!-- <p>Footer goes here</p> -->

resources/views/web/header.blade.php
<div id="navbar" class=" nc-navbar-wrapper">
@include('web.primary_header')
    @include('web.secondary_header')
   
</div>

<!-- Modal Login-->
@include('web.login_popup')

resources/views/web/login_popup.blade.php
<div class="modal fade " id="loginModal" tabindex="-1" role="dialog" aria-labelledby="loginModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered  md-modal " role="document">
    <div class="modal-content">
      <div class="modal-body modal-body-padding">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>

        <div class="jsClassLoginForm">
          <div class="nc-xlg-text modal-title text-center ">@lang('messages.login_with_notechit')</div>


            <div class="modal-from-wrapper">
              <div class="" id="signin-alert"></div>

              <form id="signin_form" action="{{ route('web.user.signin') }}" method="POST">
                {{ csrf_field() }}

                <div class="form-group">
                    <input type="text" class="form-control" autocomplete="off" id="signin_email" name="signin_email" placeholder="@lang('messages.email')">
                </div>

                <div class="form-group">
                    <input type="password" class="form-control" autocomplete="off" id="signin_password" name="signin_password" placeholder="@lang('messages.password')">
                </div>

                <div class="nc-xs-text cursor-pointor text-center jsClassShowForgetPassword">
                  @lang('messages.forgot_password')?
                </div>

                <button type="button" id="signin_form_submit_btn" class=" nc-black-btn nc-register-btn">@lang('messages.login')</button>

                <div class="nc-xs-text text-center go-to-signup-btn jsClassBackShowSignup">
                  @lang('messages.signup_with_notechit')
                  <i class="fa fa-chevron-right"></i>
                </div>
              </form>


            </div>
            <div class="other-login-options">
              <div class="or-wrapper">
                <div class="bg-line"></div>
                <span class="or">OR</span>
              </div>
                <?php /* <button type="submit" class="login-btn  google-login-btn">
                    <img class="" src="{{asset('web/img/google.svg')}}" alt="note-cover">

                    @lang('messages.continue_google')
                </button> */ ?>

                <a href="{{ route('web.home.google.login') }}" class="login-btn google-login-btn">
                    <img class="" src="{{asset('web/img/google.svg')}}" alt="note-cover">
                    @lang('messages.continue_google')
                </a>

                <a href="{{ route('web.home.facebook.login') }}" class="login-btn fb-login-btn">
                    <img class="" src="{{asset('web/img/facebook.svg')}}" alt="note-cover">
                    @lang('messages.continue_facebook')
                </a>
                <?php /* <button type="submit" class="login-btn  fb-login-btn">
                <img class="" src="{{asset('web/img/facebook.svg')}}" alt="note-cover">
                @lang('messages.continue_facebook')
                </button> */ ?>

              </div>
        </div>


        <div class="jsClassSignupForm" style="display:none;">
          <div class="nc-xlg-text modal-title text-center jsClassModalTitle">@lang('messages.signup_with_notechit')</div>


          <div class="modal-from-wrapper">
            <div class="" id="signup-alert"></div>
            <form id="signup_form" action="{{ route('web.user.signup') }}" method="POST">

              {{ csrf_field() }}

              <div class="form-row">

                <div class="form-group col-md-6">
                    <input type="text" class="form-control" autocomplete="off" id="first_name" name="first_name" placeholder="@lang('messages.first_name')">
                </div>

                <div class="form-group col-md-6">
                    <input type="text" class="form-control" autocomplete="off" id="last_name" name="last_name" placeholder="@lang('messages.last_name')">
                </div>

              </div>

              <div class="form-group">
                  <input type="text" class="form-control" autocomplete="off" id="email" name="email" placeholder="@lang('messages.email')">
              </div>

              <div class="form-group">
                  <input type="password" class="form-control" autocomplete="off" id="password" name="password" placeholder="@lang('messages.password')">
              </div>

              <div class="form-group">
                  <input type="password" class="form-control" autocomplete="off" id="conf_password" name="conf_password" placeholder="@lang('messages.confirm_password')">
              </div>

              <button type="button" id="signup_form_submit_btn" class="nc-black-btn nc-register-btn">@lang('messages.signup')</button>

              <div class="nc-xs-text text-center login-back-btn jsClassShowLogin">
                  <i class="fa fa-chevron-left"></i>
                  @lang('messages.go_back_to_login')
              </div>
            </form>

          </div>

        </div>

        <div class="jsClassForgetPassword" style="display:none;">
          <div class="nc-xlg-text modal-title text-center">@lang('messages.forgot_password')?</div>

          <div class="nc-sm-text">@lang('messages.please_enter_email_forget_password')</div>

          <p>&nbsp;</p>

          <div class="col-md-12" id="fp-alert"></div>

          <form id="fp_form" action="{{ route('web.user.forgot-password') }}" method="POST">

              {{ csrf_field() }}

                <div class="form-group">
                    <input type="text" autocomplete="off" class="form-control" id="fo_email" name="fo_email" placeholder="@lang('messages.email')">
                </div>

                <button type="button" id="fp_form_submit_btn" class="nc-black-btn nc-register-btn">@lang('messages.reset')</button>

                <div class="nc-xs-text text-center login-back-btn jsClassShowLogin">
                  <i class="fa fa-chevron-left"></i>
                  @lang('messages.go_back_to_login')
                </div>

          </form>

        </div>

      </div>

    </div>
  </div>
</div>

<!-- <script src="http://malsup.github.com/jquery.form.js"></script> -->

<script>
  $(".jsClassBackShowSignup").click(function(){
      $('.jsClassLoginForm').hide( "fast" );
      $( ".jsClassSignupForm" ).show( "fast" );
  });
  $(".jsClassShowLogin").click(function(){
      $('.jsClassSignupForm').hide( "fast" );
      $('.jsClassForgetPassword').hide( "fast" );
      $( ".jsClassLoginForm" ).show( "fast" );
  });
  $(".jsClassShowForgetPassword").click(function(){
      $( ".jsClassLoginForm" ).hide( "fast" );
      $( ".jsClassForgetPassword" ).show( "fast" );
  });

  function clearSignupFormData()
  {
      $('#first_name').val('');
      $('#last_name').val('');
      $('#email').val('');
      $('#password').val('');
      $('#conf_password').val('');
  }

  function removeSignUpFormErrorClass()
  {
      $('#first_name').removeClass('error');
      $('#last_name').removeClass('error');
      $('#email').removeClass('error');
      $('#password').removeClass('error');
      $('#conf_password').removeClass('error');
  }

  /**Submit Signup form*/
  $.ajaxSetup({
        headers: {'X-CSRF-Token': $('meta[name=_token]').attr('content')}
    });

    var signupOptions = {
            beforeSubmit:  showSignupRequest,
            success:       showSignupResponse,
            error:showSignupError,
            dataType: 'json'
    };

    function showSignupRequest() {
        $("#validation-errors").hide().empty();
        return true;
    }

    function showSignupResponse(response) {
        if(response.status == 0)
        {
          $.each(response.errors, function(key,val){
            $('#'+key).closest('.form-group').append('<p class="signUpError">'+val+'</p>');
            $('#'+key).addClass('error');
          });

          return false;
        }
        // var sHtml = '';
        var sHtml = '<div class="text-center py-3 jsClassSignupSuccess"> <i class="success-mail-icon animate__animated animate__swing fas fa-envelope"></i>'
                    +'<h4 class="py-2">You have Signed up successfully</h4><p>Thankyou for choosing Notechit, Please check your Email for activation</p>'
                    +'<button class="nc-black-btn nc-save-btn mx-auto js-signup-suc" data-dismiss="modal" aria-label="Close">Ok</button></div>';

        // sHtml +='<div class="alert alert-success p-1" id="success-alert">'
        // sHtml +='<button type="button" class="close" data-dismiss="alert">&times;</button>'
        // sHtml +='<strong>Success!</strong>'
        // sHtml +=' '+response.message+' '
        // sHtml +='</div>'

        $('#signup-alert').html(sHtml);
        $('#signup_form').css('display','none');
        $('.jsClassModalTitle').css('display','none');
        //alert(response.message);

        //setTimeout(() => {
          //window.location.reload();
        //}, 1000);
    }

    function showSignupError(xhr) {
        console.log("inside error");
    }

    function clearSignUpAlert()
    {
      $('#signup-alert').html('');
    }

    $('body').on('click','#signup_form_submit_btn',function(){
      $('.signUpError').remove();
      removeSignUpFormErrorClass();
      $('#signup_form').ajaxForm(signupOptions).submit();
    });

    $('body').on('click','.js-signup-suc',function(){
      clearSignUpAlert();
      $('#signup_form').css('display','block');
      $('.jsClassModalTitle').css('display','block');
      $('#signup_form').trigger("reset");
    });

    $('body').on('click','.close',function(){
      $('#signin_form').trigger("reset");
      $('#signin-alert').html('');
    });
    /**Submit Signup form*/

    /**Submit Sign-in form*/

    function removeSignInFormErrorClass()
    {
        $('#signin_email').removeClass('error');
        $('#signin_password').removeClass('error');
    }

    var signinOptions = {
            beforeSubmit:  showSigninRequest,
            success:       showSigninResponse,
            error:showSigninError,
            dataType: 'json'
    };

    function showSigninRequest() {
        $("#validation-errors").hide().empty();
        return true;
    }

    function showSigninResponse(response) {
        if(response.status == 0)
        {
          $.each(response.errors, function(key,val){
            $('#'+key).addClass('error');
          });

          return false;
        }

        if(response.status == 1)
        {
          if(response.login_count == 1)
          {
            $('#loginModal').modal('toggle');
            $('#interestModal').modal('toggle');
          }
          else{
            window.location.href = "{{route('web.home.index')}}";
            return false;
          }
        }

        var sHtml = '';
        sHtml +='<div class="alert alert-danger p-2 nc-sm-text" id="success-alert">'
        sHtml +='<button type="button" class="close" data-dismiss="alert">&times;</button>'
        sHtml +='<strong>Error!</strong>'
        sHtml +=' '+response.message+' '
        sHtml +='</div>'

        $('#signin-alert').html(sHtml);
        //alert(response.message);

    }

    function showSigninError(xhr) {
        console.log("inside error");
    }

    function clearSignInAlert()
    {
      $('#signin-alert').html('');
    }

    $('body').on('click','#signin_form_submit_btn',function(){
      clearSignInAlert();
      removeSignInFormErrorClass();
      $('#signin_form').ajaxForm(signinOptions).submit();
    });
    /**Submit Sign-in form*/


    /**Submit Fp form*/
    var fpOptions = {
            beforeSubmit:  showFpRequest,
            success:       showFpResponse,
            error:showFpError,
            dataType: 'json'
    };

    function showFpRequest() {
        $("#validation-errors").hide().empty();
        return true;
    }

    function showFpResponse(response) {
        if(response.status == 0)
        {
          $.each(response.errors, function(key,val){
            $('#'+key).addClass('error');
          });

          return false;
        }

        var sHtml = '';
        sHtml +='<div class="alert alert-success" id="success-alert">'
        sHtml +='<button type="button" class="close" data-dismiss="alert">x</button>'
        sHtml +='<strong>Success!</strong>'
        sHtml +=' '+response.message+' '
        sHtml +='</div>'

        $('#fp-alert').html(sHtml);

    }

    function showFpError(xhr) {
        console.log("inside error");
    }

    function removeFpFormErrorClass()
    {
        $('#fo_email').removeClass('error');
    }

    function clearFpAlert()
    {
      $('#fp-alert').html('');
    }

    $('body').on('click','#fp_form_submit_btn',function(){
      removeFpFormErrorClass();
      $('#fp_form').ajaxForm(fpOptions).submit();
    });
    /**Submit Fp form*/

</script>

resources/views/web/nav_header.blade.php
<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
</button>
<div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link" href="{{route('web.home.about-us')}}">About Us <span class="sr-only">(current)</span></a>
        </li>

    @if(!\Auth::user())
    
    <li class="nav-item">
        <a class="btn btn-sm badge-pill px-4 nc-login-btn" href="#" data-toggle="modal" data-target="#loginModal">Login</a>
    </li>
    
    @else
        <li class="ml-5 mr-3 dropdown show js-show-notifications">
            <a href="#" class="nav-link" role="button" id="notificationLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="far fa-bell"></i>
            </a>
            <div class="dropdown-menu notification-dd" aria-labelledby="notificationLink">
                @include('web.notification_list')
            </div>

        </li>
        <li class="dropdown show">
            <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="user-thumbnail-sm">
                    @if(\Auth::user()->file_name || \Auth::user()->profile_pic_url)
                    <img class="w-100" src="{{ getUserImageUrl(\Auth::user()->file_name,\Auth::user()->profile_pic_url) }}" alt="">
                    @else
                    <span class="user-initials">{{ mb_substr(\Auth::user()->first_name, 0, 1) . mb_substr(\Auth::user()->last_name, 0, 1) }}</span>
                    @endif
                </span>
                <!-- {{ \Auth::user()->first_name ." ". \Auth::user()->last_name }} -->
            </a>

            <div class="dropdown-menu nc-header-dd" aria-labelledby="dropdownMenuLink">
                <a class="dropdown-item" href="{{ route('web.user.profile',['id' => Auth::user()->id]) }}">My profile</a>
                <!-- <a class="dropdown-item" href="">Help</a> -->
                <a class="dropdown-item" href="{{ route('web.user.logout') }}">Logout</a>
            </div>
        </li>

   
    @endif

    </ul>
</div>

<script>
$(document).ready(function(){
    _getNotifications();
});
$("body").on("click",".js-show-notifications",function(){
    _getNotifications(true);
});

function _getNotifications(read = false){
    $.ajax({
        method : "GET",
        url: "{{ route('web.user.get-notifications') }}",
        data : {
            read:read,
        },
        cache: false,
        success: function(response){
            $('.notification-list-wrapper').html(response.sHtml);
            if(response.has_new_notification == "1"){
                $('#notificationLink').children('i').addClass('notification-bell-circle');
            }
        },error : function(error){ 
          console.log('get-notifications error');
        }
    });
    return false;
}

$("body").on("click",".notification-btn",function(){
    var id = $(this).attr('data-id');
    var notification_id = $(this).attr('data-notification-id');
    var action = $(this).attr('data-action');
    var userName = $(this).data('user-name');
    _updateNotificationStatus(id,notification_id,action, userName);
});

function _updateNotificationStatus(id,notification_id,action, userName){
    $.ajax({
        method : "POST",
        url: "{{ route('web.user.update-notification-status') }}",
        data : {
            id : id,
            notification_id : notification_id,
            action : action,
            _token : "{{ csrf_token() }}"
        },
        cache: false,
        success: function(response){
            if(action == "accept"){
                showToast(userName+" is now following you");
            }else{
                showToast("status successfully updated");
            }
            setTimeout(() => {
                window.location.reload();
            }, 1000);
        },error : function(error){ 
          console.log('get-notifications error');
        }
    });

    return false;
}

</script>

resources/views/web/secondary_header.blade.php
<nav id="secondary_navbar" class="nc-tab-navbar">
    <ul>
        <li><a href="{{ route('web.home.index') }}" class="{{ \Request::route()->getName() == 'web.home.index' ? 'active' : '' }}">Home</a></li>
        <li><a href="{{ route('web.note.my-notes') }}" class="{{ \Request::route()->getName() == 'web.note.my-notes' ? 'active' : '' }} {{ \Request::route()->getName() == 'web.note.following-users-notes' ? 'active' : '' }} {{ \Request::route()->getName() == 'web.note.saved-notes' ? 'active' : '' }}">NoteChits</a></li>
        <li><a href="{{ route('web.bucket.user-buckets') }}" class="{{ \Request::route()->getName() == 'web.bucket.user-buckets' ? 'active' : '' }}">Buckets</a></li>
        <li><a href="{{ route('web.home.all-queries') }}" class="{{ \Request::route()->getName() == 'web.home.all-queries' ? 'active' : '' }} {{ \Request::route()->getName() == 'web.home.my-queries' ? 'active' : '' }} {{ \Request::route()->getName() ==  'web.home.new-query' ? 'active' : '' }}">Contribution</a></li>
        
    </ul>
</nav>
<script>
//=====  Set top nav bar hide & show on scroll =====
    var prevScrollpos = window.pageYOffset;
    window.onscroll = function() {
        var currentScrollPos = window.pageYOffset;
        if (prevScrollpos > currentScrollPos) {
            document.getElementById("navbar").style.top = "0";
            document.getElementById("navbar").classList.remove("nav-bar-shadow");
        } else {
            document.getElementById("navbar").style.top = "-50px";
            document.getElementById("navbar").classList.add("nav-bar-shadow");
        }
        prevScrollpos = currentScrollPos;
    }
</script> 